<script>
	// 1、uni-app的页面生命周期仅在page页面有效，而单独封装的组件中【页面周期无效】，
	//但是Vue的生命周期依然有效 【Vue的生命周期在任何地方都是有效的，即你仍然可以在uni-app项目中使用Vue生命周期，但是不建议这么做】
	// 2、推荐使用uni-app里面的onLoad 代替 vue 里面的 created
	// 3、推荐使用uni-app里面的onReady 代替 vue 里面的 mounted
	//4.setStorageSync与setStorage的区别:如果后续的操作需要使用更新storage后保存的data，则使用setStorageSync使用异步性能更好，使用同步数据更安全
	export default {
		onLaunch: function() {//初始化完成时触发（全局只触发一次
			let openid=uni.getStorageSync("openid")
			if(!openid){
				uni.navigateTo({
					url: "pages/login/login"
				})
			}
		},
		onShow: function() {
			
		},
		onHide: function() {
			
		}
	}
</script>

<style lang="scss">
@import "uview-ui/index.scss";
/*
1.页面背景颜色#f7f7f7
2.分隔线颜色#DBDBDB
3.正常字体颜色#333333
4.灰色字体颜色#666666或者#999999
5.主色调#3688FF
6.正常字体大小28rpx,偏小一点的24rpx
8.页面最外层与里面的第一层为padding:0 12px;
9.css单位为rpx
*/
page{font-size:28rpx;color: #333333;background: #F7F7F7;height: 100%;}
view,text,image{box-sizing:border-box;}
.btn{background:linear-gradient(132deg, #ED400C 0%, #FB862C 100%);display: inline-block;color: #FFFFFF;font-size:28rpx;border-radius:8rpx;text-align: center;}
</style>
